# OSC Controller

WiFi based hardware solution to remotely trigger macros on an EOS based console

## Features

- Built in WiFi Manager to connect and store WiFi credentials
- Buttons fire user defined macros on EOS lighting consoles
- Configurable to utilize DHCP or static IP
- Configurable configuration portal SSID and password
- Web based firmware update

## Initial Setup

On first boot, the device will automatically boot into configuration mode (indicated by the status LED turning amber). In this mode, the device will operate as a WiFi connection point that you can connect to and configure the device.  By default, the device's SSID will be:

- SSID: OSCDevice
- PASSWORD: oscdevice

When connected to the device you will be automatically directed to the configuration webpage.  Here you will see a listing of available WiFi points. Select your preferred WiFi network and enter in your password.  The following section allows you to statically address the device.  By default, the IP is set to **0.0.0.0** and will connect to your network via DHCP.

Once saved the device will boot into Run Mode and every subsequent boot will boot into Run Mode.

## 

## Releases

### Version 0.2.0

Initial public release.

### Version 0.3.0a

- Added a factory reset option in the web interface
- Added option under "OSC" to define a User ID for EOS Macros